This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 890642 - Evolution has implicit declarations (unknown functions)
Evolution has implicit declarations (unknown functions)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Desktop
Depends On:
Blocks: 895654
  Show dependency treegraph
 
Reported: 2012-12-28 06:42 EST by A S Alam
Modified: 2013-07-02 21:13 EDT (History)
5 users (show)

See Also:
Fixed In Version: evolution-2.28.3-29.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:21:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
evolution-2.28.3-implicit-declarations.patch (1.66 KB, patch)
2013-01-08 07:23 EST, Milan Crha
no flags Details | Diff

  None (edit)
Description A S Alam 2012-12-28 06:42:37 EST
Description of problem:
while printing Calendar from evolution as PDF with Month view, application crashed with following message.
--
$ evolution 
addressbook_migrate (0.0.0)
(evolution:8355): e-data-server-DEBUG: Loaded default categories
** (evolution:8355): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:8355): DEBUG: mailto URL program: evolution
** (evolution:8355): DEBUG: Loading Exchange MAPI Plugin 

(evolution:8355): e-data-server-DEBUG: Saving categories to
"/home/en_US/.evolution/categories.xml"
commit
evolution: symbol lookup error:
/usr/lib/evolution/2.28/components/libevolution-calendar.so: undefined symbol:
e_cal_model_get_compress_weekend
---

Version-Release number of selected component (if applicable):
evolution-help-2.28.3-27.el6.noarch
evolution-2.28.3-27.el6.i686
evolution-data-server-2.28.3-16.el6.i686
evolution-mapi-0.28.3-9.el6.i686
gtkhtml2-2.11.1-7.el6.i686
gtkhtml3-3.28.3-3.el6.i686
gtkmm24-2.18.2-1.el6.i686
gtksourceview2-2.8.2-4.el6.i686


How reproducible:
every-time

Steps to Reproduce:
1. evolution->Calendar
2. Month View
3. Print
4. Print to File
5. Print
  
Actual results:
Application crashed

Expected results:
it should not be crashed.

Additional info:
Comment 2 RHEL Product and Program Management 2013-01-01 01:47:40 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Milan Crha 2013-01-08 07:21:56 EST
OK, I can reproduce it too. After investigation, patch for bug #628964 introduced this symbol, which is not available in 2.28.3. I checked the latest build log and there is one more missing symbol, introduced in patch for bug #885558, thus the patch here.
Comment 4 Milan Crha 2013-01-08 07:23:27 EST
Created attachment 674759 [details]
evolution-2.28.3-implicit-declarations.patch

Patch to fix implicit declarations.
Comment 7 RHEL Product and Program Management 2013-01-09 04:02:22 EST
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 8 Milan Crha 2013-01-09 09:02:41 EST
Part of evolution-2.28.3-29.el6
Comment 11 errata-xmlrpc 2013-02-21 05:21:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0516.html

Note You need to log in before you can comment on or make changes to this bug.